//
import 'package:flutter/material.dart';
import 'package:gmalpha_flutter/questionModel/page/questionPage/QuestionPageModel.dart';
import 'package:gmalpha_flutter/questionModel/service/remote/entity/QuestionEntity.dart';

///*
// * @author hbr
// * @date   2019-09-18
// **/
//

class QuestionPage extends StatefulWidget{
  QuestionPageModel _model;

  QuestionPage(String id){
    _model=QuestionPageModel(id);
  }
  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return QuestionPageState(_model);
  }
  
}
class QuestionPageState extends State<QuestionPage>{
  QuestionPageModel _model;
  QuestionPageState(this._model);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        child: StreamBuilder<QuestionEntity>(

          stream: _model.live.stream,
            initialData: _model.live.data,
            builder: (content,data){
            print(data.data);
            return Container(
              child: Text("${data.data}"),
            );
            }),
      ),
    );
  }
  
  @override
  void initState() {
    super.initState();
    _model.init(context);
  }
  
  @override
  void dispose() {
    super.dispose();
    _model.dispose();
  }
  
}

//import 'package:flutter/material.dart';
//import 'package:gmalpha_flutter/questionModel/page/questionPage/QuestionPageModel.dart';
//
//class QuestionPage extends StatefulWidget {
//  QuestionPageModel _model;
//
//  QuestionPage(String id){
//    _model=QuestionPageModel(id);
//  }
//
//  _QuestionPageState createState() => _QuestionPageState(_model);
//}
//
//class _QuestionPageState extends State<QuestionPage> {
//  QuestionPageModel _model;
//
//  _QuestionPageState(this._model);
//
//  @override
//  void initState() {
//     super.initState();
//      _model.init(context);
//  }
//
//  @override
//  void dispose() {
//    super.dispose();
//    _model.dispose();
//  }
//  @override
//  Widget build(BuildContext context) {
//    return Scaffold(
//      appBar: AppBar(
//        title: Text(
//          "User",
//          style: TextStyle(fontSize: 16),
//        ),
//        centerTitle: true,
//      ),
//      body: Column(
//        children: <Widget>[
// 
//          Container(
//            margin: EdgeInsets.fromLTRB(16, 10, 16, 20),
//            child: TextField(
//              cursorColor: Colors.black,
//              decoration: InputDecoration(
//                  contentPadding: EdgeInsets.all(10.0),
//                  icon: Icon(Icons.text_fields, color: Colors.black),
//                  labelText: 'name1',
//                  labelStyle: TextStyle(color: Colors.black)),
//              autofocus: false,
//            ),
//          ),
//          Container(
//            margin: EdgeInsets.fromLTRB(16, 0, 16, 20),
//            child: TextField(
//              cursorColor: Colors.black,
//              decoration: InputDecoration(
//                  contentPadding: EdgeInsets.all(10.0),
//                  icon: Icon(
//                    Icons.text_fields,
//                    color: Colors.black,
//                  ),
//                  labelText: 'word2',
//                  labelStyle: TextStyle(color: Colors.black)),
//              autofocus: false,
//            ),
//          ),
//      
//          Container(
//              width: double.maxFinite,
//              margin: EdgeInsets.fromLTRB(16, 0, 16, 0),
//              child: OutlineButton(
//                onPressed: () => {},
//                child: Text("退出"),
//                shape: BeveledRectangleBorder(
//                  borderRadius: BorderRadius.circular(3),
//                ),
//              )),
//
//        ],
//      ),
//    );
//  }
//}
