import 'package:gmalpha_flutter/questionModel/service/remote/api/QuestionApi.serv.dart';
import 'package:rxdart/rxdart.dart';

import 'entity/QuestionEntity.dart';

class QuestionRemote {

  static QuestionRemote _instance;


  QuestionRemote._(){

  }

  static QuestionRemote getInstance(){
    if(_instance==null){
      _instance=new QuestionRemote._();
    }
    return _instance;
  }

  Observable<QuestionEntity> getQuestion(String id){
    return QuestionApiImpl().getQuestion(int.parse(id));

  }



}